/***************************************************************************

	cdrom.c

	NEOGEO CD CD-ROM interface

***************************************************************************/

#ifndef	CDROM_H
#define CDROM_H

#include "i68k.h"

extern int neogeo_loadscreen;
extern int neogeo_loadfinished;

void cdrom_init(void);
void cdrom_shutdown(void);
void cdrom_loadfiles(void);

void neogeo_decode_spr(u8 *mem, u32 offset, u32 length);
void neogeo_decode_fix(u8 *mem, u32 offset, u32 length);
void neogeo_undecode_fix(u8 *mem, u32 offset, u32 length);
void neogeo_apply_patch(u16 *src, int bank, u32 offset);

#ifdef SAVE_STATE
void state_load_file(int type, const char *fname, int bank, u32 offset, u32 length);
#endif

#endif /* CDROM_H */
